Package com.ocient.jdbc

# Class KML

java.lang.Object
com.ocient.jdbc.KML

public class KML extends Object

## Constructor Summary

Constructors
Constructor
Description
`KML()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`genStyleMap(String color, int styleNum, Document doc, Element documentElement)`
`static boolean`
`KMLIsEmpty()`
`static void`
`outputGeospatial(ResultSet rs)`
`static void`
`setKML(String kmlFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KML

public KML()

## Method Details

### KMLIsEmpty

public static boolean KMLIsEmpty()

### setKML

public static void setKML(String kmlFile)

### genStyleMap

public static void genStyleMap(String color, int styleNum, Document doc, Element documentElement)

### outputGeospatial

public static void outputGeospatial(ResultSet rs) throws SQLException, ParserConfigurationException, TransformerException

Throws:
  `SQLException`
  `ParserConfigurationException`
  `TransformerException`